Subject: bug#70711: closed (Re: bug#70711: 30.0.50; Issue with flymake indicators)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 03 May 2024 06:19:02 +0000

Your bug report

#70711: 30.0.50; Issue with flymake indicators

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70711: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70711
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#70711: 30.0.50; Issue with flymake indicators
From: Eli Zaretskii <[email-masked]>
To: Roman Rudakov <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 03 May 2024 09:18:04 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Roman Rudakov <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,   [email-masked]
> Date: Thu, 02 May 2024 22:43:07 +0200
> 
> 
> Hello Elijah, I can confirm that the patch fixes the issue. Thank you.

Thanks for testing.  I've now installed this on the master branch, and
I'm therefore closing this bug.

Subject: 30.0.50; Issue with flymake indicators
From: Roman Rudakov <[email-masked]>
To: [email-masked]
Date: Thu, 02 May 2024 10:06:15 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

After the latest update of flymake I started experiencing an issue 
with indicators. The problem occurs if I try to disable indicators 
completely.

Steps to reproduce from "emacs -q":
1. Evaluate the following forms:

(setopt flymake-fringe-indicator-position nil 
        flymake-margin-indicator-position nil) 
(flymake-mode)

2. Type some invalid expression to trigger flymake.

Expected result: No indicators.

Actual result: Exclamation mark is shown right before the faulty 
expression (not even on fringe or margin).

-- 
Best regards, Roman